フラッシュカード
既存のノートからフラッシュカードセットを生成します。以下のすべてのエンドポイントは API Key (X-API-Key または Authorization: Bearer ntx_...)に対応しています。
Base URL: https://api.notexapp.com
Flashcards を生成 — POST /v6/create/flashcards
ノートからフラッシュカードセットを生成します。task_id が返されるため、
結果は Tasks をポーリングして取得してください。
以下の認証にも対応しています: User JWT、Service Key。
Content-Type: application/x-www-form-urlencoded
| Field | Type | Required | Description |
|---|---|---|---|
note_id | string | required | フラッシュカードを生成するノートの ID |
num_cards | string | optional | 生成するカード数 |
set_name | string | optional | フラッシュカードセット名 |
difficulty | string | optional | 難易度(easy、medium、hard) |
custom_prompt | string | optional | AI へのカスタム指示 |
community | boolean | optional | コミュニティノートから生成 |
curl -X POST https://api.notexapp.com/v6/create/flashcards \
-H "X-API-Key: ntx_live_..." \
-H "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "note_id=665f..." \
--data-urlencode "num_cards=10" \
--data-urlencode "difficulty=medium"
Response (200) — task_id を返します。
{
"status": "PROCESSING",
"data": {
"task_id": "b3f1a2c4-...",
"user_id": "665f..."
}
}
タスクの結果をポーリングして、生成されたフラッシュカードセットを取得します。
{
"status": "SUCCESS",
"data": {
"flashcard_set_id": "665f...",
"set_name": "Machine Learning Basics",
"cards": [
{ "front": "What is supervised learning?", "back": "..." },
...
]
}
}
Was this page helpful?